# Intent is to embed envoy in another program
# only works on mac and linux

# https://www.getenvoy.io/

GETENVOY_VERSION = v0.1.8
ENVOY_VERSION = standard:1.14.3

git-clone:
	git clone https://github.com/tetratelabs/getenvoy-package

build:
	cd getenvoy-package/envoy_pkg
	bazel build --config=remote


dep:
	# https://github.com/pomerium/pomerium/blob/master/Makefile
	# this installs it into the gobin
	go get github.com/tetratelabs/getenvoy/cmd/getenvoy@${GETENVOY_VERSION}
	# this pulls down envoy to  /usr/local/bin
	getenvoy fetch $(ENVOY_VERSION)
	# copy it here.
	cp /usr/local/bin/envoy $(PWD)/bin/envoy

